/**
*Programme cree par The Clusters
*Interface des cartes du jeu "Chkoba"
*Toutes les interfaces pour le reseau
*doivent heriter de Remote
*@author The Clusters
*@version 1.0
**/

package chkoba;

import chkoba.*;
import java.rmi.*;

/**
*	Interface Carte
**/

public interface ICarte extends Remote
{
	//Methode
	int compare(Object o) throws RemoteException;
	
	//Accesseurs
	
	Couleur getCoul() throws RemoteException;
	int getValeur() throws RemoteException;
	String getNom() throws RemoteException;
	public void setValeur(int num) throws RemoteException;
	public int compareTo(Object o) throws RemoteException;
	
	//Affichage
	
	String affiche() throws RemoteException;
}